#!/usr/bin/env bash

set -e

if [ $# -ne 2 ] && [ $# -ne 3 ]; then
    echo "Usage: ./helpers/deploy_geo2grid.sh <values_base_dir> [<release_prefix>] <release_suffix>"
    exit 1
fi

# ci_geosphere-test
values_base="$1"

# Prefix Example: testing-YYYYMMDD-
# Suffix Example: -g16-radf
if [[ $# -eq 2 ]]; then
    release_prefix=""
    release_suffix="$2"
else
    release_prefix="$2"
    release_suffix="$3"
fi

ns=$(./helpers/get_namespace.sh)
cd geosphere-geo2grid/chart
source cspp-geo-geo2grid/cibuild.env
echo "Deploying version $docker_tag to cluster namespace $ns"
helm upgrade -v 2 --install --namespace $ns -f ../../${values_base}/values-geo2grid${release_suffix}.yaml "${release_prefix}cspp-geo-geo2grid${release_suffix}" cspp-geo-geo2grid/
