#!/usr/bin/env bash

set -e

if [ $# -ne 1 ] && [ $# -ne 2 ]; then
    echo "Usage: ./helpers/deploy_mapserver.sh <values_base_dir> [<release_prefix>]"
    exit 1
fi

# ci_geosphere-test
values_base="$1"

# Prefix Example: testing-YYYYMMDD-
if [[ $# -eq 1 ]]; then
    release_prefix=""
else
    release_prefix="$2"
fi

ns=$(./helpers/get_namespace.sh)
cd geosphere-mapserver/chart
source geosphere-mapserver/cibuild.env
echo "Deploying version $docker_tag to cluster namespace $ns"
helm upgrade -v 2 --install --namespace $ns -f ../../${values_base}/values-mapserver.yaml "${release_prefix}geosphere-mapserver" geosphere-mapserver/
